<template>
  <div class="PostRegister">
      <div class = "registerContainer ">
        <h1 class = "registerTitle ">Register</h1>

        
        
            <div>
            <label class = "registerLabel" for="email">E-mail: </label>
            <input v-model = "registermail" class = "registerInput" name = "email" id = "email" type = "email" placeholder = "jhon.green@gmail.com" required>
            <br>
            <label class = "registerLabel" for = "username">Username: {{registerusername}}</label>
            <input v-model = "registerusername" class = "registerInput" name = "username" id = "username" type ="text" placeholder ="jgreen" required>
            <br>
            <label class = "registerLabel" for = "name">Name: </label>
            <input v-model = "registername" class = "registerInput" name = "name" id = "name" type ="text" placeholder ="Jhon Green" required>
            <br>
            <label class = "registerLabel" for = "password">Password: </label>
            <input v-on:keyup ="isvalid" v-model = "registerpassword" class = "registerInput" name = "password" id = "password" type = "password" placeholder = "Your password" required>
            <br>
            <label class = "registerLabel" for = "repeatpassword">Repeat your password: </label>
            <input  v-on:keyup ="isvalid" v-model = "registerrepeatpassword" class = "registerInput" name = "repeatpassword" id = "repeatpassword" type = "password" placeholder = "Repeat your password" required>
            </div> 

        

            <div>
            <label for = "terms">I agree to the terms and conditions       </label>
            <input name = "terms" id = "terms" type = "checkbox" required>
            </div>

            <div>
              <br>
            <button v-on:click = "verify" v-bind:class="{registerInputvalid:isActive,registerInputfail:!isActive}" id = "submit"  v- class =  "registerButton">Submit</button>
            <br>
            </div>
        
        </div>
  </div>
</template>

<script lang="js">
import gql from 'graphql-tag';
import Vue from 'vue';
export default Vue.extend({

    data(){

      
        return{
          registermail : "",
          registername : "",
          registerusername : "",
          registerpassword : "",
          registerrepeatpassword : "",
          isActive : false
      }
    },

    methods:{
      
      isvalid: function() {
        var bool = (this.registerpassword === this.registerrepeatpassword && (this.registerpassword.length >1))
        this.isActive = bool;

        return bool

      },

      verify: function() {
        if(!this.isActive){
          alert("VOCE NAO PODE FAZER ISTO")
        }
      }
    }

      
  })
</script>

<style>



.registerContainer {
    @apply flex flex-col w-1/3 justify-between mx-auto;
    animation: widen 1.5s ease-in;

}
.registerTitle {
    @apply text-3xl border-b-2 mb-2;
}
@keyframes widen {
  0%   {transform: scale(0);}
  100% {transform: scale(1);}
}
.registerLabel {
    @apply text-xl;
}
.registerInput {
    @apply mb-5 pt-2 pb-2 pl-5 pr-5 border-solid border border-gray-400 w-full outline-none text-center text-xl;
}
.registerButton {
      @apply rounded-full pb-2 pt-2 pl-5 pr-5 rounded-full outline-none;
}

.registerInputvalid {
    @apply mb-5 pt-2 pb-2 pl-5 pr-5 border-solid border bg-green-400 w-full outline-none text-center text-xl;
}
.registerInputfail {
    @apply mb-5 pt-2 pb-2 pl-5 pr-5 border-solid border bg-red-400 w-full outline-none text-center text-xl;
}

</style>
